# Define arches where APM is supported and available
%define apm_arches %{ix86} ppc

%define major 0
%define libname %mklibname %name %major
%define libnamedev %mklibname -d %name

Summary:	Small applications which embed themselves in the GNOME panel
Name:		gnome-applets
Version: 2.20.0
Release:	%mkrel 2
License:	GPL
Group:		Graphical desktop/GNOME
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.20.0-2mdv fix mixer applet wake-up (GNOME bug #370937)
Patch0: 	gnome-applets-2.20.0-mixer-wakeups.patch
# (fc) 2.20.0-2mdv fix find in weather preferences (GNOME bug #424639)
Patch1:		gnome-applets-2.18.0-fix-find.patch
# (fc) 2.20.0-2mdv fix null applet (GNOME bug #395035)
Patch2:		gnome-applets-2.16.0.1-fix-null-applet.patch
# (fc) 2.20.0-2mdv fix bonoboui leak (GNOME bug #428072)
Patch3:		gnome-applets-2.18.0-node-leak.patch

URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires(post):		scrollkeeper >= 0.3
Requires(postun):		scrollkeeper >= 0.3
Requires:   gnome-system-monitor
Requires:   gstreamer0.10-plugins-base
Requires:   system-tools-backends
Requires: pygtk2.0-libglade
Requires: gnome-python-applet
Requires: gnome-python-extras
Requires: gnome-python-gconf
BuildRequires: gnome-desktop-devel >= 2.11.1
BuildRequires: libpanel-applet-2-devel >= 2.13.4
BuildRequires: libgtop2.0-devel >= 2.0.0
BuildRequires: libgail-devel >= 0.13
BuildRequires: libglade2.0-devel
BuildRequires: gtk2-devel >= 2.5.0
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils
BuildRequires: libxklavier-devel >= 1.13
BuildRequires: libcpufreq-devel
BuildRequires: libgucharmap-devel
BuildRequires: system-tools-backends
BuildRequires: libgnome-window-settings-devel
BuildRequires: libgnomekbd-devel
BuildRequires: pygtk2.0-devel
BuildRequires: gnome-python-applet
BuildRequires: gnome-python
%if %mdkversion > 200600
BuildRequires: libnotify-devel >= 0.3.0
BuildRequires: hal-devel >= 0.5.3
%endif
%ifarch %{apm_arches}
BuildRequires: libapm-devel
%endif
BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: intltool
BuildRequires: perl-XML-Parser
BuildRequires: libxslt-proc
BuildRequires: libwnck-devel
BuildRequires: automake1.9
Conflicts:	gnome-panel < 2.3.0
Obsoletes:	gnome-cpufreq-applet
Provides:	gnome-cpufreq-applet

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME (like KDE) is based completely on Open Source
software.  The gnome-applets package provides Panel applets which
enhance your GNOME experience.

You should install the gnome-applets package if you would like to abuse the
GNOME desktop environment by embedding small utilities in the GNOME panel.

%package -n %libname
Group: System/Libraries
Summary: Shared libraries of Gnome Applets

%description -n %libname
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME (like KDE) is based completely on Open Source
software.  The gnome-applets package provides Panel applets which
enhance your GNOME experience.

You should install the gnome-applets package if you would like to abuse the
GNOME desktop environment by embedding small utilities in the GNOME panel.

%package -n %libnamedev
Group: Development/C
Summary: Devel libraries of Gnome Applets
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release
Obsoletes: %mklibname -d %name 0

%description -n %libnamedev
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME (like KDE) is based completely on Open Source
software.  The gnome-applets package provides Panel applets which
enhance your GNOME experience.

You should install the gnome-applets package if you would like to abuse the
GNOME desktop environment by embedding small utilities in the GNOME panel.

%prep
%setup -q
%patch0 -p1 -b .mixer-wakeups
%patch1 -p1 -b .fix-find
%patch2 -p1 -b .fix-null-applet
%patch3 -p1 -b .node-leak

#needed by patch0
autoconf

%build
%configure2_5x --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT %name-2.0.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name}-2.0 --with-gnome --all-name

for omf in %buildroot%_datadir/omf/*/{*-??.omf,*-??_??.omf} ;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name-2.0.lang
done


%clean
rm -rf $RPM_BUILD_ROOT

%define schemas battstat charpick cpufreq-applet drivemount geyes gweather mixer multiload stickynotes

%pre
if [ "$1" = "2" -a -d %{_libdir}/invest-applet ]; then
 /bin/rm -rf %{_libdir}/invest-applet 
fi

%post
%update_scrollkeeper
%post_install_gconf_schemas %schemas
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%clean_scrollkeeper
%clean_icon_cache hicolor

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %{name}-2.0.lang
%defattr(-, root, root)

%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/gconf/schemas/battstat.schemas
%{_sysconfdir}/gconf/schemas/charpick.schemas
%{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas
%{_sysconfdir}/gconf/schemas/drivemount.schemas
%{_sysconfdir}/gconf/schemas/geyes.schemas
%{_sysconfdir}/gconf/schemas/gweather.schemas
%{_sysconfdir}/gconf/schemas/mixer.schemas
%{_sysconfdir}/gconf/schemas/multiload.schemas
%{_sysconfdir}/gconf/schemas/stickynotes.schemas
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/*
%{_libexecdir}/*applet*
%{_libdir}/bonobo/servers/*
%{_datadir}/gnome-2.0/ui/*
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%py_puresitedir/invest*
%{_datadir}/gnome-applets
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/xmodmap

%files -n %libname
%defattr(-, root, root)
%_libdir/libgweather.so.%{major}*

%files -n %libnamedev
%defattr(-, root, root)
%doc ChangeLog
%attr(644,root,root) %_libdir/lib*a
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_includedir/*




%changelog
* Mon Sep 17 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 89250
- Remove old patch0, added back by mistake
- Patch0: fix mixer applet wake-up (GNOME bug #370937)
- Patch1: fix find in weather preferences (GNOME bug #424639)
- Patch2: fix null applet (GNOME bug #395035)
- Patch3: fix bonoboui leak (GNOME bug #428072)

* Sun Sep 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 88447
- new version

* Mon Sep 03 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 78542
- new version
- remove invest-applet desktop file

* Fri Aug 24 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.1-4mdv2008.0
+ Revision: 70981
- Remove workaround for find_lang

* Wed Aug 22 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.1-3mdv2008.0
+ Revision: 68963
- Add workaround for broken find_lang.pl

* Mon Aug 20 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.1-2mdv2008.0
+ Revision: 67965
- Remove patch0, fix Mdv bug #24305

  + Götz Waschk <waschk@mandriva.org>
    - new devel name

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 57442
- new version

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.0-1mdv2008.0
+ Revision: 56504
- new version
- fix aclocal and automake calls
- update file list


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141786
- new version
- readd ChangeLog

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 125910
- new version

* Thu Feb 15 2007 Götz Waschk <waschk@mandriva.org> 2.17.1-2mdv2007.1
+ Revision: 121349
- rebuild for new gucharmap

* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 103270
- new version
- fix buildrequires
- update file list

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.1
+ Revision: 88436
- rebuild

* Tue Nov 21 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 85849
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.1
+ Revision: 63842
- rebuild
- unpack patches
- Import gnome-applets

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0.1-3mdv2007.0
- Fix buildrequires

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0.1-2mdv2007.0
- Fix menu categories (Mdv bug #25690)

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.0.1-1mdv2007.0
- New release 2.16.0.1

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- readd stickynotes
- New release 2.16.0

* Thu Aug 24 2006 Gtz Waschk <waschk@mandriva.org> 2.15.90-2mdv2007.0
- readd the libexecdir patch

* Wed Aug 23 2006 Gtz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- add new icons
- drop stickynotes applet
- drop the patch
- New release 2.15.90

* Fri Aug 11 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-2mdv2007.0
- fix deps

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- New release 2.15.3

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-4mdv2007.0
- Rebuild with latest dbus

* Sat Jul 29 2006 Gtz Waschk <waschk@mandriva.org> 2.15.2-3mdv2007.0
- spec fixes
- fix buildrequires

* Fri Jul 28 2006 Gtz Waschk <waschk@mandriva.org> 2.15.2-2mdv2007.0
- rebuild

* Thu Jul 27 2006 Gtz Waschk <waschk@mandriva.org> 2.15.2-1mdv2007.0
- update file list
- New release 2.15.2

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 2.15.1.1-8mdv2007.0
- rebuild for new libgucharmap

* Sun Jul 02 2006 Gtz Waschk <waschk@mandriva.org> 2.15.1.1-7mdv2007.0
- fix stupid typo

* Sun Jul 02 2006 Gtz Waschk <waschk@mandriva.org> 2.15.1.1-6mdv2007.0
- more deps for invest

* Wed Jun 28 2006 Gtz Waschk <waschk@mandriva.org> 2.15.1.1-5mdv2007.0
- fix of the invest applet

* Tue Jun 27 2006 Gtz Waschk <waschk@mandriva.org> 2.15.1.1-4mdv2007.0
- fix buildrequires

* Fri Jun 23 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1.1-3mdv2007.0
- Patch0: fix directories for invest-applet
- Remove obsolete schemas
- Add missing dependency (Mdv bug #23261)

* Mon Jun 19 2006 Gtz Waschk <waschk@mandriva.org> 2.15.1.1-2mdv2007.0
- use new macro
- fix buildrequires

* Mon Jun 19 2006 Gtz Waschk <waschk@mandriva.org> 2.15.1.1-1mdv2007.0
- update deps
- update file list
- New release 2.15.1.1

* Mon May 29 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Sun Apr 16 2006 Gtz Waschk <waschk@mandriva.org> 2.14.1-2mdk
- fix error in postun
- rebuild for new libgtop

* Sat Apr 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1

* Mon Feb 06 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3

* Wed Jan 25 2006 Gtz Waschk <waschk@mandriva.org> 2.12.2-4mdk
- patch for new libnotify

* Thu Jan 05 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-3mdk
- use mkrel
- rebuild with latest rpm-mandriva-setup, fix missing setuid flag

* Thu Dec 01 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- fix build on Mdk 2006

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Thu Oct 27 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-5mdk
- enable hal support

* Wed Oct 26 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-4mdk
- Rebuild with libnotify support

* Wed Oct 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Fix buildrequires

* Fri Oct 07 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- replace prereq
- fix buildrequires

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Remove patches 0, 1, 2, 3, 4 (merged upstream)

* Sat Sep 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-6mdk 
- Patch3 (CVS): various fixes for mixer applet
- Patch4 (CVS): fix crash when kernel has more than 3 governors

* Sat Aug 27 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-5mdk 
- Patch2 (BBB): select Alsa mixer if available (Mdk bug #17637)

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-4mdk 
- Patch1 (CVS): fix battery status with some broken bios

* Mon May 02 2005 Pascal Terjan <pterjan@mandriva.org> 2.10.1-3mdk
- Absoletes gnome-cpufreq-applet that is now included

* Tue Apr 26 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.10.1-2mdk
- add BuildRequires: libxslt-proc libwnck-devel
- remove some duplicate buildrequires

* Tue Apr 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)
- Remove patches 1, 3 (merged upstream), 2, 4 (no longer relevant)
- Patch0: fix XML to be valid (GNOME bug #171728)

* Tue Apr 12 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-5mdk 
- Add dependency on gstreamer-plugins (Mdk bug #15332)

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-4mdk 
- Update icon cache at install time (Mdk bug #14371)

* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.8.2-3mdk
- avoid dependency on linux kernel headers

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk 
- Rebuild with latest howl

* Mon Dec 06 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- New release 2.8.2

* Fri Nov 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1.1-2mdk
- fix gconf schemas installation

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1.1-1mdk
- fix omf file listing
- New release 2.8.1.1
- remove patch0 (merged upstream)
- Patch2 (Fedora): use ifup based command for ppp link
- Patch3 (Fedora): use themed icons for mixer

* Sat Oct 02 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.6.2.1-4mdk
- lib64 fixes
- apm is not available on all arches

* Sun Aug 29 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.2.1-3mdk
- add BuildRequires: intltool

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2.1-2mdk
- Patch0: fix missing icon for mixer applet

* Fri Jul 23 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.2.1-1mdk
- New release 2.6.2.1

* Tue Jun 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- add missing files
- New release 2.6.1

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Fix BuildRequires

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Remove patch0 (merged upstream)

